Page MenuHomePhabricator

RevisionSlider should not ignore uselang parameter
Closed, ResolvedPublic2 Story Points

Description

When uselang=xyz is specified in the URL RevisionSlider only considers it for the first diff shown. Once user selects other revisions custom language is ignored and diff for the language version selected in user preferences is loaded instead (this affects the langauage of reloaded parts of UI). Furthermore, new URLs generated by the extension do not contain uselang parameter.

See below how it looks like on wiki with default and user language set to English and URL initially containing uselang=he

  1. URL no longer includes uselang=he
  2. Diff headers are in English instead of Hebrew

Details

Related Gerrit Patches:

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptAug 1 2016, 11:39 AM

Change 302240 had a related patch set uploaded (by WMDE-leszek):
Do not ignore uselang paramter

https://gerrit.wikimedia.org/r/302240

WMDE-leszek set the point value for this task to 2.Aug 1 2016, 11:41 AM
WMDE-leszek moved this task from Proposed to Review on the TCB-Team-Sprint-2016-07-14 board.
WMDE-leszek triaged this task as Medium priority.Aug 1 2016, 12:08 PM
WMDE-leszek updated the task description. (Show Details)
WMDE-leszek moved this task from Incoming to Doing on the Revision-Slider board.Aug 2 2016, 6:57 AM

Change 302240 merged by jenkins-bot:
Consider custom user language setting, and include all parameters in generated URLs

https://gerrit.wikimedia.org/r/302240

Addshore moved this task from Incoming to Revision Slider on the TCB-Team board.Aug 2 2016, 9:46 AM
Addshore closed this task as Resolved.Aug 2 2016, 9:49 AM
Addshore added a subscriber: Addshore.

Will be deployed this week.

Addshore moved this task from Doing to Done on the Revision-Slider board.Aug 3 2016, 5:14 PM